﻿<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="ListadoComprobante" targetNamespace="http://tempuri.org/ListadoComprobante.xsd" xmlns:mstns="http://tempuri.org/ListadoComprobante.xsd" xmlns="http://tempuri.org/ListadoComprobante.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="AutoLayout, AnsiClass, Class, Public" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="MySettings" AppSettingsPropertyName="marketConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="marketConnectionString (MySettings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.BRAVOSPORT.My.MySettings.GlobalReference.Default.marketConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="AutoLayout, AnsiClass, Class, Public" DataAccessorName="listado_comprobantes_sunatTableAdapter" GeneratorDataComponentClassName="listado_comprobantes_sunatTableAdapter" Name="listado_comprobantes_sunat" UserDataComponentName="listado_comprobantes_sunatTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="marketConnectionString (MySettings)" DbObjectName="marketmayorista.dbo.listado_comprobantes_sunat" DbObjectType="StoredProcedure" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <SelectCommand>
                  <DbCommand CommandType="StoredProcedure" ModifiedByUser="false">
                    <CommandText>dbo.listado_comprobantes_sunat</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="int" DbType="Int32" Direction="ReturnValue" ParameterName="@RETURN_VALUE" Precision="10" ProviderType="Int" Scale="0" Size="4" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="date" DbType="Date" Direction="Input" ParameterName="@fechaInicio" Precision="10" ProviderType="Date" Scale="0" Size="3" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DataTypeServer="date" DbType="Date" Direction="Input" ParameterName="@fechaFin" Precision="10" ProviderType="Date" Scale="0" Size="3" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="idventa" DataSetColumn="idventa" />
              <Mapping SourceColumn="descripcion" DataSetColumn="descripcion" />
              <Mapping SourceColumn="usuario" DataSetColumn="usuario" />
              <Mapping SourceColumn="fecha_venta" DataSetColumn="fecha_venta" />
              <Mapping SourceColumn="tipo_comprobante" DataSetColumn="tipo_comprobante" />
              <Mapping SourceColumn="serie_comprobante" DataSetColumn="serie_comprobante" />
              <Mapping SourceColumn="numero_comprobante" DataSetColumn="numero_comprobante" />
              <Mapping SourceColumn="descripcion_tipo_doc" DataSetColumn="descripcion_tipo_doc" />
              <Mapping SourceColumn="dni" DataSetColumn="dni" />
              <Mapping SourceColumn="nombre" DataSetColumn="nombre" />
              <Mapping SourceColumn="apellidos" DataSetColumn="apellidos" />
              <Mapping SourceColumn="total" DataSetColumn="total" />
              <Mapping SourceColumn="descrip_estado_envio" DataSetColumn="descrip_estado_envio" />
              <Mapping SourceColumn="motivo_anulacion_envio" DataSetColumn="motivo_anulacion_envio" />
              <Mapping SourceColumn="cod_estado_envio_sunat" DataSetColumn="cod_estado_envio_sunat" />
              <Mapping SourceColumn="mensaje_envio_sunat" DataSetColumn="mensaje_envio_sunat" />
              <Mapping SourceColumn="archivo_pdf" DataSetColumn="archivo_pdf" />
              <Mapping SourceColumn="archivo_xml" DataSetColumn="archivo_xml" />
              <Mapping SourceColumn="archivo_cdr" DataSetColumn="archivo_cdr" />
              <Mapping SourceColumn="fecha_envio_sunat" DataSetColumn="fecha_envio_sunat" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="ListadoComprobante" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="True" msprop:Generator_DataSetName="ListadoComprobante" msprop:Generator_UserDSName="ListadoComprobante">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="listado_comprobantes_sunat" msprop:Generator_TableClassName="listado_comprobantes_sunatDataTable" msprop:Generator_TableVarName="tablelistado_comprobantes_sunat" msprop:Generator_TablePropName="listado_comprobantes_sunat" msprop:Generator_RowDeletingName="listado_comprobantes_sunatRowDeleting" msprop:Generator_RowChangingName="listado_comprobantes_sunatRowChanging" msprop:Generator_RowEvHandlerName="listado_comprobantes_sunatRowChangeEventHandler" msprop:Generator_RowDeletedName="listado_comprobantes_sunatRowDeleted" msprop:Generator_UserTableName="listado_comprobantes_sunat" msprop:Generator_RowChangedName="listado_comprobantes_sunatRowChanged" msprop:Generator_RowEvArgName="listado_comprobantes_sunatRowChangeEvent" msprop:Generator_RowClassName="listado_comprobantes_sunatRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="idventa" msdata:ReadOnly="true" msdata:AutoIncrement="true" msprop:Generator_ColumnVarNameInTable="columnidventa" msprop:Generator_ColumnPropNameInRow="idventa" msprop:Generator_ColumnPropNameInTable="idventaColumn" msprop:Generator_UserColumnName="idventa" type="xs:int" />
              <xs:element name="descripcion" msprop:Generator_ColumnVarNameInTable="columndescripcion" msprop:Generator_ColumnPropNameInRow="descripcion" msprop:Generator_ColumnPropNameInTable="descripcionColumn" msprop:Generator_UserColumnName="descripcion" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="usuario" msprop:Generator_ColumnVarNameInTable="columnusuario" msprop:Generator_ColumnPropNameInRow="usuario" msprop:Generator_ColumnPropNameInTable="usuarioColumn" msprop:Generator_UserColumnName="usuario">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="fecha_venta" msprop:Generator_ColumnVarNameInTable="columnfecha_venta" msprop:Generator_ColumnPropNameInRow="fecha_venta" msprop:Generator_ColumnPropNameInTable="fecha_ventaColumn" msprop:Generator_UserColumnName="fecha_venta" type="xs:dateTime" minOccurs="0" />
              <xs:element name="tipo_comprobante" msprop:Generator_ColumnVarNameInTable="columntipo_comprobante" msprop:Generator_ColumnPropNameInRow="tipo_comprobante" msprop:Generator_ColumnPropNameInTable="tipo_comprobanteColumn" msprop:Generator_UserColumnName="tipo_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="10" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="serie_comprobante" msprop:Generator_ColumnVarNameInTable="columnserie_comprobante" msprop:Generator_ColumnPropNameInRow="serie_comprobante" msprop:Generator_ColumnPropNameInTable="serie_comprobanteColumn" msprop:Generator_UserColumnName="serie_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="numero_comprobante" msprop:Generator_ColumnVarNameInTable="columnnumero_comprobante" msprop:Generator_ColumnPropNameInRow="numero_comprobante" msprop:Generator_ColumnPropNameInTable="numero_comprobanteColumn" msprop:Generator_UserColumnName="numero_comprobante" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="descripcion_tipo_doc" msprop:Generator_ColumnVarNameInTable="columndescripcion_tipo_doc" msprop:Generator_ColumnPropNameInRow="descripcion_tipo_doc" msprop:Generator_ColumnPropNameInTable="descripcion_tipo_docColumn" msprop:Generator_UserColumnName="descripcion_tipo_doc" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="dni" msprop:Generator_ColumnVarNameInTable="columndni" msprop:Generator_ColumnPropNameInRow="dni" msprop:Generator_ColumnPropNameInTable="dniColumn" msprop:Generator_UserColumnName="dni" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="15" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="nombre" msprop:Generator_ColumnVarNameInTable="columnnombre" msprop:Generator_ColumnPropNameInRow="nombre" msprop:Generator_ColumnPropNameInTable="nombreColumn" msprop:Generator_UserColumnName="nombre" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="apellidos" msprop:Generator_ColumnVarNameInTable="columnapellidos" msprop:Generator_ColumnPropNameInRow="apellidos" msprop:Generator_ColumnPropNameInTable="apellidosColumn" msprop:Generator_UserColumnName="apellidos" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="total" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columntotal" msprop:Generator_ColumnPropNameInRow="total" msprop:Generator_ColumnPropNameInTable="totalColumn" msprop:Generator_UserColumnName="total" type="xs:decimal" minOccurs="0" />
              <xs:element name="descrip_estado_envio" msdata:ReadOnly="true" msprop:Generator_ColumnVarNameInTable="columndescrip_estado_envio" msprop:Generator_ColumnPropNameInRow="descrip_estado_envio" msprop:Generator_ColumnPropNameInTable="descrip_estado_envioColumn" msprop:Generator_UserColumnName="descrip_estado_envio" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="13" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="motivo_anulacion_envio" msprop:Generator_ColumnVarNameInTable="columnmotivo_anulacion_envio" msprop:Generator_ColumnPropNameInRow="motivo_anulacion_envio" msprop:Generator_ColumnPropNameInTable="motivo_anulacion_envioColumn" msprop:Generator_UserColumnName="motivo_anulacion_envio" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="cod_estado_envio_sunat" msprop:Generator_ColumnVarNameInTable="columncod_estado_envio_sunat" msprop:Generator_ColumnPropNameInRow="cod_estado_envio_sunat" msprop:Generator_ColumnPropNameInTable="cod_estado_envio_sunatColumn" msprop:Generator_UserColumnName="cod_estado_envio_sunat" type="xs:int" minOccurs="0" />
              <xs:element name="mensaje_envio_sunat" msprop:Generator_ColumnVarNameInTable="columnmensaje_envio_sunat" msprop:Generator_ColumnPropNameInRow="mensaje_envio_sunat" msprop:Generator_ColumnPropNameInTable="mensaje_envio_sunatColumn" msprop:Generator_UserColumnName="mensaje_envio_sunat" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="500" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="archivo_pdf" msprop:Generator_ColumnVarNameInTable="columnarchivo_pdf" msprop:Generator_ColumnPropNameInRow="archivo_pdf" msprop:Generator_ColumnPropNameInTable="archivo_pdfColumn" msprop:Generator_UserColumnName="archivo_pdf" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="archivo_xml" msprop:Generator_ColumnVarNameInTable="columnarchivo_xml" msprop:Generator_ColumnPropNameInRow="archivo_xml" msprop:Generator_ColumnPropNameInTable="archivo_xmlColumn" msprop:Generator_UserColumnName="archivo_xml" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="archivo_cdr" msprop:Generator_ColumnVarNameInTable="columnarchivo_cdr" msprop:Generator_ColumnPropNameInRow="archivo_cdr" msprop:Generator_ColumnPropNameInTable="archivo_cdrColumn" msprop:Generator_UserColumnName="archivo_cdr" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="250" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="fecha_envio_sunat" msprop:Generator_ColumnVarNameInTable="columnfecha_envio_sunat" msprop:Generator_ColumnPropNameInRow="fecha_envio_sunat" msprop:Generator_ColumnPropNameInTable="fecha_envio_sunatColumn" msprop:Generator_UserColumnName="fecha_envio_sunat" type="xs:dateTime" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:listado_comprobantes_sunat" />
      <xs:field xpath="mstns:idventa" />
    </xs:unique>
  </xs:element>
</xs:schema>